![](https://gitlab.schukai.com/uploads/-/system/project/avatar/337/monster.png?width=255)

# Monster

![](https://gitlab.schukai.com/oss/libraries/javascript/monster/badges/master/pipeline.svg?style=flat-square) ![](https://badgen.net/npm/v/@schukai/monster) ![](https://data.jsdelivr.com/v1/package/npm/@schukai/monster/badge)

**Build fantastic websites!**

Monster is a lightweight, robust and easy-to-use library with modest ambitions. Monster integrates easily into your existing websites without taking over everything.

It is not the goal of Monster to pull in a completely new abstraction with its own language, but to combine the existing techniques of HTML, CSS and Javascript in a meaningful way.

Monster is perfectly suited for the creation of beautiful and fast user interfaces and websites. The basis is formed by core functions that can be supplemented by necessary classes and objects.

One first design target is to reach the shiny sun with as little Javascript as possible. That is why we do not have any external dependencies.

Monster was built with ES6 modules and uses [import](https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Statements/import) and [export](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/export).

There is a version in the `/dist` folder that was built via [webpack](https://github.com/webpack/webpack) and  
thus supports all browsers that are compatible with [ES5](https://caniuse.com/es5).

## Build & Development

```
// create documentation
make doc

// create documentation and push to aws
make doc-2-aws

// build all packages
make build

// test all packages
make test

// build packages
PACKAGE=monster
make build-${PACKAGES}
make build-browser-test-${PACKAGES}
make test-${PACKAGES}
make npm-publish-${PACKAGES}

```

to make compatibility with the older browsers [polyfill.io](https://cdn.polyfill.io/v3/url-builder/) is a good choice.


## Packages

| Package | Description                             | NPM                                                                                  |
|:--------|:----------------------------------------|:-------------------------------------------------------------------------------------|
| monster | Standard library with general functions | [npmjs.com/package/@schukai/monster](https://www.npmjs.com/package/@schukai/monster) |

## Documentation

To check out docs and examples, visit [monsterjs.org/en/doc/latest/](https://monsterjs.org/en/doc/latest/).

## Questions

For questions and commercial support please contact [schukai GmbH](https://www.schukai.com/). The issue list of this repo is exclusively for bug reports and feature requests.

## Issues

Please make sure to read the Issue Reporting Checklist before opening an issue. Issues not conforming to the guidelines may be closed immediately.

## License

* All content residing under the `docs/` directory of this repository is licensed under "Creative Commons: CC BY-SA 4.0 license".
* All packages that resides under the `packages/` directory of this repository, if that directory exists, is licensed under the license defined in `packages/<package>/LICENSE`.
* All third-party components that are integrated into our software are licensed under the original licence provided by the owner of the respective component.
* Content outside the above directories or restrictions is available under the [AGPL 3.0](https://www.gnu.org/licenses/agpl-3.0.en.html).

**you can also purchase a commercial licence**

## Changelog

Detailed changes for each release are documented in the corresponding CHANGELOG files.

