/**
 * @license
 * Copyright 2021 schukai GmbH
 * SPDX-License-Identifier: AGPL-3.0-only or COMMERCIAL
 * @author schukai GmbH
 */

'use strict';

import './constants.js';
import './constraints/abstract.js';
import './constraints/abstractoperator.js';
import './constraints/andoperator.js';
import './constraints/invalid.js';
import './constraints/isarray.js';

// find packages/monster/source/ -type f -name "*.js" -not -name "*namespace*" -not -iname  "monster.js"
import './constraints/isobject.js';
import './constraints/oroperator.js';
import './constraints/valid.js';
import './data/buildmap.js';
import './data/diff.js';
import './data/extend.js';
import './data/pathfinder.js';
import './data/pipe.js';
import './data/transformer.js';
import './dom/assembler.js';
import './dom/attributes.js';
import './dom/constants.js';
import './dom/customcontrol.js';
import './dom/customelement.js';
import './dom/events.js';
import './dom/locale.js';
import './dom/template.js';
import './dom/theme.js';
import './dom/updater.js';
import './dom/util.js';
import './i18n/locale.js';
import './i18n/provider.js';
import './i18n/providers/fetch.js';
import './i18n/translations.js';
import './logging/handler.js';
import './logging/handler/console.js';
import './logging/logentry.js';
import './logging/logger.js';
import './math/random.js';
import {Monster} from './namespace.js';
import './text/formatter.js';
import './types/base.js';
import './types/basewithoptions.js';
import './types/global.js';
import './types/id.js';
import './types/is.js';
import './types/observer.js';
import './types/observerlist.js';
import './types/proxyobserver.js';
import './types/queue.js';
import './types/randomid.js';
import './types/stack.js';
import './types/tokenlist.js';
import './types/typeof.js';
import './types/uniquequeue.js';
import './types/validate.js';
import './types/version.js';
import './util/clone.js';
import './util/comparator.js';
import './util/freeze.js';


let rootName
try {
    rootName = Monster.Types.getGlobalObject('__MonsterRootName__');
} catch (e) {

}

if (!rootName) rootName = "Monster";

Monster.Types.getGlobal()[rootName] = Monster
export {Monster};