"use strict";

import {expect} from "chai"
import {SessionStorage} from "../../../../../source/data/datasource/storage/sessionstorage.js";
import {createStorage} from "../../../../util/localstorage.js";


let storageReference;

describe('SessionStorage', function () {

    afterEach(() => {
        global['sessionStorage'] = storageReference;
    });

    beforeEach(function () {

        storageReference = global['sessionStorage']
        global['sessionStorage'] = createStorage();

    })

    it('should instance of SessionStorage ', function () {
        expect(new SessionStorage('mykey')).to.be.instanceof(SessionStorage)
    });

    describe('rw', function () {

        it('read should return object', function (done) {
            const ds = new SessionStorage('mykey')
            ds.read().then(data => {
                done();
            }).catch(e => done(e));
        });

        it('write should ', function (done) {
            const ds = new SessionStorage('mykey')
            ds.write().then(data => {
                done();
            }).catch(e => done(e));
        });


    })


})