'use strict';

import {expect} from "chai"

import {getLocaleOfDocument} from "../../../source/dom/locale.js";
import {initJSDOM} from "../../util/jsdom.js";

describe('Attributes', function () {
    before(function (done) {
        initJSDOM().then(() => {
            done()
        });
    });

    describe('getLocaleOfDocument', function () {


        [
            ["de"],
            ["sl-IT-nedis"],
            ["en-GB"],

        ].forEach(function (data) {

            let a = data.shift()


            it('return language ' + a, function () {
                let html = document.getElementsByTagName('html');
                let node = html.item(0);

                node.setAttribute('lang', a);
                expect(getLocaleOfDocument().toString()).to.be.equal(a);
            })

        });


    });

})