import {expect} from "chai"
import {parseLocale} from "../../../source/i18n/locale.js";
import {Translations} from "../../../source/i18n/translations.js";

describe('Translations', function () {

    describe('Instance and Init', function () {

        let translation;

        beforeEach(() => {
            translation = new Translations(parseLocale('en-GB'));

            translation.assignTranslations({
                test1: "abc",
                test2: {'other': 'xyz'}
            });
        })

        it('create instance', function () {
            expect(new Translations(parseLocale('en-GB'))).is.instanceof(Translations);
        });

        it('init translations', function () {
            expect(translation.assignTranslations({
                test1: "abc",
                test2: {'other': 'xyz'}
            })).is.instanceof(Translations);
        });

    });

    describe('getText', function () {

        let translation;

        beforeEach(() => {
            translation = new Translations(parseLocale('en-GB'));

            translation.assignTranslations({
                test1: "abc",
                test2: {'other': 'xyz'}
            });
        })

        it('create, set and get en-GB', function () {
            expect(translation.getText('test1')).is.equal('abc');
        });

        it('create, set and get  en-GB with pluralrules', function () {
            expect(translation.getText('test2')).is.equal('xyz')
        });

    });


});