import * as Crypto from "@peculiar/webcrypto";

import {expect} from "chai"
import {escapeString} from "../../../source/types/regex.js"

if (!global['crypto']) {
    global['crypto'] = new Crypto.Crypto();
}

describe('escapeString', function () {


    [
        ['test1', 'test1'],
        ['${', '\\$\\{'],
        ['i18n{', 'i18n\\{'],
        ['//', '//'],
        ['\\', '\\\\'],
       
    ].forEach(function (data) {

        let a = data.shift()
        let b = data.shift()

        it('escapeString(' + a + ') should return ' + b, function () {
            expect(escapeString(a)).is.equal(b)
        });
    });


});

