import * as Crypto from "@peculiar/webcrypto";
import {expect} from "chai"
import {UUID} from "../../../source/types/uuid.js";

if (!global['crypto']) {
    global['crypto'] = new Crypto.Crypto();
}


describe('UUID', function () {

    describe('.toString()', function () {
        let uuid = new UUID()
        let result = uuid.toString();

        it('should return a string', function () {
            expect(result).is.a('string')
            expect(result.length).is.equal(36)
        });

        it('test format', function (done) {

            const regexExp = /^[A-F\d]{8}-[A-F\d]{4}-4[A-F\d]{3}-[89AB][A-F\d]{3}-[A-F\d]{12}$/i;

            for (let i = 0; i < 2000; i++) {
                const u = new UUID().toString();
                const r = regexExp.test(u);

                if (r !== true) {
                    done('no uuid ' + u + ' => ' + r);
                    return;
                }
            }

            done();

        });

    });

});

