# %%NAME%%

Monster is a lightweight, robust and easy-to-use library with modest ambitions.
Monster integrates easily into your existing websites without taking over
everything.

It is not the goal of Monster to pull in a completely new abstraction
with its own language, but to combine the existing techniques of HTML,  
CSS and Javascript in a meaningful way.

Monster is perfectly suited for the creation of beautiful and fast  
user interfaces and websites. The basis is formed by core functions that  
can be supplemented by necessary classes and objects.

One design target is to reach the shiny sun with as little Javascript as possible.

Monster was built with ES6 modules and uses [import](https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Statements/import)  
and [export](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/export).

There is a version in the `/dist` folder that was built via [browserify](https://browserify.org/) and  
thus supports all browsers that are compatible with ES5.


## Installation

```
npm install @schukai/monster @schukai/%%NAME%%
```

## CDN

```
<script type="module">
  import {Monster} from 'https://unpkg.com/@schukai/monster@1.1.0/dist/modules/monster.js';
  import {Monster} from 'https://unpkg.com/@schukai/%%NAME%%@1.0.15/dist/modules/monster.js';
  console.log(Module.getVersion())
</script>
```

nomodule for backwards compatibility

```
<script type="module" src="module.mjs"></script>
<script nomodule src="https://unpkg.com/@schukai/monster@1.1.0/dist/monster.js"></script>
<script nomodule src="https://unpkg.com/@schukai/%%NAME%%@1.0.15/dist/monster.js"></script>
```

## Documentation

To check out docs and examples, visit [monsterjs.org/en/doc/](https://monsterjs.org/en/doc/).

## Questions

For questions and commercial support please contact [schukai GmbH](https://www.schukai.com/).
The issue list of this repo is exclusively for bug reports and feature requests.

## Issues

Please make sure to read the Issue Reporting Checklist before opening an
issue. Issues not conforming to the guidelines may be closed immediately.

## License

Copyright © 2021 schukai GmbH

[AGPL](https://www.gnu.org/licenses/agpl-3.0.de.html)

you can also purchase a commercial licence

## Changelog

Detailed changes for each release are documented in
the [CHANGELOG](CHANGELOG).

