/** Monster 1.30.0, © 2021 schukai GmbH, Released under the AGPL 3.0 License. */
"use strict";import{internalSymbol}from"../constants.js";import{extend}from"../data/extend.js";import{Pathfinder}from"../data/pathfinder.js";import{assignToNamespace,Monster}from"../namespace.js";import{parseDataURL}from"../types/dataurl.js";import{getGlobalObject}from"../types/global.js";import{isArray,isFunction,isObject,isString}from"../types/is.js";import{Observer}from"../types/observer.js";import{ProxyObserver}from"../types/proxyobserver.js";import{validateFunction,validateInstance,validateObject,validateString}from"../types/validate.js";import{clone}from"../util/clone.js";import{addAttributeToken,addToObjectLink,getLinkedObjects,hasObjectLink}from"./attributes.js";import{ATTRIBUTE_DISABLED,ATTRIBUTE_ERRORMESSAGE,ATTRIBUTE_OPTIONS,ATTRIBUTE_OPTIONS_SELECTOR,objectUpdaterLinkSymbol}from"./constants.js";import{findDocumentTemplate,Template}from"./template.js";import{Updater}from"./updater.js";const initMethodSymbol=Symbol("initMethodSymbol"),assembleMethodSymbol=Symbol("assembleMethodSymbol"),attributeObserverSymbol=Symbol("attributeObserver");class CustomElement extends HTMLElement{constructor(){super(),this[internalSymbol]=new ProxyObserver({options:extend({},this.defaults,getOptionsFromAttributes.call(this),getOptionsFromScriptTag.call(this))}),this[attributeObserverSymbol]={},initOptionObserver.call(this),this[initMethodSymbol]()}static get observedAttributes(){return[ATTRIBUTE_OPTIONS,ATTRIBUTE_DISABLED]}get defaults(){return{ATTRIBUTE_DISABLED:this.getAttribute(ATTRIBUTE_DISABLED),shadowMode:"open",delegatesFocus:!0,templates:{main:void 0}}}static getTag(){throw new Error("the method getTag must be overwritten by the derived class.")}static getCSSStyleSheet(){}attachObserver(t){return this[internalSymbol].attachObserver(t),this}detachObserver(t){return this[internalSymbol].detachObserver(t),this}containsObserver(t){return this[internalSymbol].containsObserver(t)}getOption(t,e){let o;try{o=new Pathfinder(this[internalSymbol].getRealSubject().options).getVia(t)}catch(t){}return void 0===o?e:o}setOption(t,e){return new Pathfinder(this[internalSymbol].getSubject().options).setVia(t,e),this}setOptions(t){isString(t)&&(t=parseOptionsJSON.call(this,t));var e=this;return extend(e[internalSymbol].getSubject().options,e.defaults,t),e}[initMethodSymbol](){return this}[assembleMethodSymbol](){var e=this;let o,n;if(!1!==e.getOption("shadowMode",!1)){try{initShadowRoot.call(e),o=e.shadowRoot.childNodes}catch(t){}try{initCSSStylesheet.call(this)}catch(t){addAttributeToken(e,ATTRIBUTE_ERRORMESSAGE,t.toString())}}o instanceof NodeList||o instanceof NodeList||(initHtmlContent.call(this),o=this.childNodes);try{n=new Set([...o,...getSlottedElements.call(e)])}catch(t){n=o}return assignUpdaterToElement.call(e,n,clone(e[internalSymbol].getRealSubject().options)),e}connectedCallback(){hasObjectLink(this,objectUpdaterLinkSymbol)||this[assembleMethodSymbol]()}disconnectedCallback(){}adoptedCallback(){}attributeChangedCallback(t,e,o){const n=this[attributeObserverSymbol]?.[t];isFunction(n)&&n.call(this,o,e)}hasNode(t){var e=this;return!!containChildNode.call(e,validateInstance(t,Node))||e.shadowRoot instanceof ShadowRoot&&containChildNode.call(e.shadowRoot,t)}}function getSlottedElements(e,t){const o=new Set;if(!(this.shadowRoot instanceof ShadowRoot))return o;let n="slot";void 0!==t&&(n+=null===t?":not([name])":"[name="+validateString(t)+"]");var i,t=this.shadowRoot.querySelectorAll(n);for([,i]of Object.entries(t))i.assignedElements().forEach(function(t){if(t instanceof HTMLElement)if(isString(e))t.querySelectorAll(e).forEach(function(t){o.add(t)}),t.matches(e)&&o.add(t);else{if(void 0!==e)throw new Error("query must be a string");o.add(t)}});return o}function containChildNode(t){var e;if(this.contains(t))return!0;for([,e]of Object.entries(this.childNodes)){if(e.contains(t))return!0;containChildNode.call(e,t)}return!1}function initOptionObserver(){const s=this;let e=void 0;s.attachObserver(new Observer(function(){var t=s.getOption("disabled");if(t!==e&&(e=t,s.shadowRoot instanceof ShadowRoot)){var o="button, command, fieldset, keygen, optgroup, option, select, textarea, input, [data-monster-objectlink]",n=s.shadowRoot.querySelectorAll(o);let e;try{e=new Set([...n,...getSlottedElements.call(s,o)])}catch(t){e=n}for(const i of[...e])!0===t?i.setAttribute(ATTRIBUTE_DISABLED,""):i.removeAttribute(ATTRIBUTE_DISABLED)}})),s.attachObserver(new Observer(function(){if(hasObjectLink(s,objectUpdaterLinkSymbol))for(const e of getLinkedObjects(s,objectUpdaterLinkSymbol))for(const o of e){var t=clone(s[internalSymbol].getRealSubject().options);Object.assign(o.getSubject(),t)}})),s[attributeObserverSymbol][ATTRIBUTE_DISABLED]=()=>{s.hasAttribute(ATTRIBUTE_DISABLED)?s.setOption(ATTRIBUTE_DISABLED,!0):s.setOption(ATTRIBUTE_DISABLED,void 0)},s[attributeObserverSymbol][ATTRIBUTE_OPTIONS]=()=>{var t=getOptionsFromAttributes.call(s);isObject(t)&&s.setOptions(t)}}function getOptionsFromScriptTag(){var e=this;if(!e.hasAttribute(ATTRIBUTE_OPTIONS_SELECTOR))return{};const t=document.querySelector(e.getAttribute(ATTRIBUTE_OPTIONS_SELECTOR));if(!(t instanceof HTMLScriptElement))return addAttributeToken(e,ATTRIBUTE_ERRORMESSAGE,"the selector "+ATTRIBUTE_OPTIONS_SELECTOR+" for options was specified ("+e.getAttribute(ATTRIBUTE_OPTIONS_SELECTOR)+") but not found."),{};let o={};try{o=parseOptionsJSON.call(this,t.textContent.trim())}catch(t){addAttributeToken(e,ATTRIBUTE_ERRORMESSAGE,"when analyzing the configuration from the script tag there was an error. "+t)}return o}function getOptionsFromAttributes(){if(this.hasAttribute(ATTRIBUTE_OPTIONS))try{return parseOptionsJSON.call(this,this.getAttribute(ATTRIBUTE_OPTIONS))}catch(t){addAttributeToken(this,ATTRIBUTE_ERRORMESSAGE,"the options attribute "+ATTRIBUTE_OPTIONS+" does not contain a valid json definition (actual: "+this.getAttribute(ATTRIBUTE_OPTIONS)+")."+t)}return{}}function parseOptionsJSON(t){var e={};if(!isString(t))return e;try{t=parseDataURL(t).content}catch(t){}try{var o=JSON.parse(t);return validateObject(o)}catch(t){throw t}return e}function initHtmlContent(){try{let t=findDocumentTemplate(this.constructor.getTag());this.appendChild(t.createDocumentFragment())}catch(t){var e=this.getOption("templates.main","");isString(e)&&0<e.length&&(this.innerHTML=e)}return this}function initCSSStylesheet(){if(!(this.shadowRoot instanceof ShadowRoot))return this;const t=this.constructor.getCSSStyleSheet();if(t instanceof CSSStyleSheet)0<t.cssRules.length&&(this.shadowRoot.adoptedStyleSheets=[t]);else if(isArray(t)){const n=[];for(var e of t)if(isString(e)){var o=e.trim();if(""!==o){const i=document.createElement("style");i.innerHTML=o,this.shadowRoot.prepend(i)}}else validateInstance(e,CSSStyleSheet),0<e.cssRules.length&&n.push(e);0<n.length&&(this.shadowRoot.adoptedStyleSheets=n)}else if(isString(t))if(""!==t.trim()){const s=document.createElement("style");s.innerHTML=t,this.shadowRoot.prepend(s)}return this}function initShadowRoot(){let t,e;try{t=findDocumentTemplate(this.constructor.getTag())}catch(t){if(e=this.getOption("templates.main",""),!isString(e)||void 0===e||""===e)throw new Error("html is not set.")}return this.attachShadow({mode:this.getOption("shadowMode","open"),delegatesFocus:this.getOption("delegatesFocus",!0)}),t instanceof Template?this.shadowRoot.appendChild(t.createDocumentFragment()):this.shadowRoot.innerHTML=e,this}function registerCustomElement(t){validateFunction(t),getGlobalObject("customElements").define(t.getTag(),t)}function assignUpdaterToElement(t,o){const n=new Set;t instanceof NodeList&&(t=new Set([...t]));let i=[];return t.forEach(t=>{if(t instanceof HTMLElement&&!(t instanceof HTMLTemplateElement)){const e=new Updater(t,o);n.add(e),i.push(e.run().then(()=>e.enableEventProcessing()))}}),0<n.size&&addToObjectLink(this,objectUpdaterLinkSymbol,n),i}assignToNamespace("Monster.DOM",CustomElement,registerCustomElement,assignUpdaterToElement);export{Monster,registerCustomElement,CustomElement,initMethodSymbol,assembleMethodSymbol,assignUpdaterToElement,attributeObserverSymbol,getSlottedElements};