/** Monster 1.30.0, © 2021 schukai GmbH, Released under the AGPL 3.0 License. */
"use strict";import{internalSymbol}from"../constants.js";import{diff}from"../data/diff.js";import{Pathfinder}from"../data/pathfinder.js";import{Pipe}from"../data/pipe.js";import{ATTRIBUTE_ERRORMESSAGE,ATTRIBUTE_UPDATER_ATTRIBUTES,ATTRIBUTE_UPDATER_BIND,ATTRIBUTE_UPDATER_INSERT,ATTRIBUTE_UPDATER_INSERT_REFERENCE,ATTRIBUTE_UPDATER_REMOVE,ATTRIBUTE_UPDATER_REPLACE,ATTRIBUTE_UPDATER_SELECT_THIS}from"../dom/constants.js";import{assignToNamespace,Monster}from"../namespace.js";import{Base}from"../types/base.js";import{isArray,isInstance,isIterable}from"../types/is.js";import{Observer}from"../types/observer.js";import{ProxyObserver}from"../types/proxyobserver.js";import{validateArray,validateInstance}from"../types/validate.js";import{clone}from"../util/clone.js";import{trimSpaces}from"../util/trimspaces.js";import{findTargetElementFromEvent}from"./events.js";import{findDocumentTemplate}from"./template.js";import{getDocument}from"./util.js";class Updater extends Base{constructor(e,t){super(),isInstance(t=void 0===t?{}:t,ProxyObserver)||(t=new ProxyObserver(t)),this[internalSymbol]={element:validateInstance(e,HTMLElement),last:{},callbacks:new Map,eventTypes:["keyup","click","change","drop","touchend","input"],subject:t},this[internalSymbol].callbacks.set("checkstate",getCheckStateCallback.call(this)),this[internalSymbol].subject.attachObserver(new Observer(()=>{var e,t=this[internalSymbol].subject.getRealSubject(),r=diff(this[internalSymbol].last,t);this[internalSymbol].last=clone(t);for([,e]of Object.entries(r))removeElement.call(this,e),insertElement.call(this,e),updateContent.call(this,e),updateAttributes.call(this,e)}))}setEventTypes(e){return this[internalSymbol].eventTypes=validateArray(e),this}enableEventProcessing(){this.disableEventProcessing();for(const e of this[internalSymbol].eventTypes)this[internalSymbol].element.addEventListener(e,getControlEventHandler.call(this),{capture:!0,passive:!0});return this}disableEventProcessing(){for(const e of this[internalSymbol].eventTypes)this[internalSymbol].element.removeEventListener(e,getControlEventHandler.call(this));return this}run(){return this[internalSymbol].last={__init__:!0},this[internalSymbol].subject.notifyObservers()}retrieve(){return retrieveFromBindings.call(this),this}getSubject(){return this[internalSymbol].subject.getSubject()}setCallback(e,t){return this[internalSymbol].callbacks.set(e,t),this}}function getCheckStateCallback(){return function(e){if(this instanceof HTMLInputElement){if(-1!==["radio","checkbox"].indexOf(this.type))return this.value+""==e+""?"true":void 0}else if(this instanceof HTMLOptionElement&&isArray(e)&&-1!==e.indexOf(this.value))return"true"}}const symbol=Symbol("EventHandler");function getControlEventHandler(){const t=this;return t[symbol]||(t[symbol]=e=>{e=findTargetElementFromEvent(e,ATTRIBUTE_UPDATER_BIND);void 0!==e&&retrieveAndSetValue.call(t,e)},t[symbol])}function retrieveAndSetValue(t){var e=this;const r=new Pathfinder(e[internalSymbol].subject.getSubject());let n=t.getAttribute(ATTRIBUTE_UPDATER_BIND);if(0!==n.indexOf("path:"))throw new Error("the bind argument must start as a value with a path");n=n.substr(5);let i;if(t instanceof HTMLInputElement)i="checkbox"!==t.type||t.checked?t.value:void 0;else if(t instanceof HTMLTextAreaElement)i=t.value;else if(t instanceof HTMLSelectElement)switch(t.type){case"select-one":i=t.value;break;case"select-multiple":i=t.value;let e=t?.selectedOptions;void 0===e&&(e=t.querySelectorAll(":scope option:checked")),i=Array.from(e).map(({value:e})=>e)}else{if(!(t?.constructor?.prototype&&Object.getOwnPropertyDescriptor(t.constructor.prototype,"value")?.get||t.hasOwnProperty("value")))throw new Error("unsupported object");i=t?.value}var a=clone(e[internalSymbol].subject.getRealSubject());const l=new Pathfinder(a);l.setVia(n,i),0<diff(a,e[internalSymbol].subject.getRealSubject()).length&&r.setVia(n,i)}function retrieveFromBindings(){var e=this;e[internalSymbol].element.matches("["+ATTRIBUTE_UPDATER_BIND+"]")&&retrieveAndSetValue.call(e,element);for(const[,element]of e[internalSymbol].element.querySelectorAll("["+ATTRIBUTE_UPDATER_BIND+"]").entries())retrieveAndSetValue.call(e,element)}function removeElement(e){var t;for([,t]of this[internalSymbol].element.querySelectorAll(":scope ["+ATTRIBUTE_UPDATER_REMOVE+"]").entries())t.parentNode.removeChild(t)}function insertElement(i){var s=this,A=s[internalSymbol].subject.getRealSubject();getDocument();let o=new WeakSet,e=0;const r=s[internalSymbol].element;for(;;){let l=!1,t=(e++,clone(i?.path));if(!isArray(t))return s;for(;0<t.length;){var n=t.join(".");let e=new Set;var c,n="["+ATTRIBUTE_UPDATER_INSERT+'*="path:'+n+'"]',a=r.querySelectorAll(n);0<a.length&&(e=new Set([...a])),r.matches(n)&&e.add(r);for([,c]of e.entries())if(!o.has(c)){o.add(c),l=!0;var T=c.getAttribute(ATTRIBUTE_UPDATER_INSERT);let e=trimSpaces(T);var T=e.indexOf(" "),R=trimSpaces(e.substr(0,T)),b=R+"-";let t=trimSpaces(e.substr(T));if(0<t.indexOf("|"))throw new Error("pipes are not allowed when cloning a node.");let r=new Pipe(t);s[internalSymbol].callbacks.forEach((e,t)=>{r.setCallback(t,e)});let n;try{c.removeAttribute(ATTRIBUTE_ERRORMESSAGE),n=r.run(A)}catch(e){c.setAttribute(ATTRIBUTE_ERRORMESSAGE,e.message)}var E,p,f=t.split(":").pop();let i;if(c.hasChildNodes()&&(i=c.lastChild),!isIterable(n))throw new Error("the value is not iterable");let a=new Set;for([E,p]of Object.entries(n)){var u=b+E,h=f+"."+E,d=(a.add(u),c.querySelector("["+ATTRIBUTE_UPDATER_INSERT_REFERENCE+'="'+u+'"]'));d instanceof HTMLElement?i=d:appendNewDocumentFragment(c,R,u,h)}var m,T=c.querySelectorAll("["+ATTRIBUTE_UPDATER_INSERT_REFERENCE+'*="'+b+'"]');for([,m]of Object.entries(T))if(!a.has(m.getAttribute(ATTRIBUTE_UPDATER_INSERT_REFERENCE)))try{c.removeChild(m)}catch(e){c.setAttribute(ATTRIBUTE_ERRORMESSAGE,(c.getAttribute(ATTRIBUTE_ERRORMESSAGE)+", "+e.message).trim())}}t.pop()}if(!1===l)break;if(200<e++)throw new Error("the maximum depth for the recursion is reached.")}}function appendNewDocumentFragment(e,t,r,n){let i=findDocumentTemplate(t,e);var a,l=i.createDocumentFragment();for([,a]of Object.entries(l.childNodes))a instanceof HTMLElement&&(applyRecursive(a,t,n),a.setAttribute(ATTRIBUTE_UPDATER_INSERT_REFERENCE,r)),e.appendChild(a)}function applyRecursive(t,r,n){if(t instanceof HTMLElement){if(t.hasAttribute(ATTRIBUTE_UPDATER_REPLACE)){let e=t.getAttribute(ATTRIBUTE_UPDATER_REPLACE);t.setAttribute(ATTRIBUTE_UPDATER_REPLACE,e.replaceAll("path:"+r,"path:"+n))}if(t.hasAttribute(ATTRIBUTE_UPDATER_ATTRIBUTES)){let e=t.getAttribute(ATTRIBUTE_UPDATER_ATTRIBUTES);t.setAttribute(ATTRIBUTE_UPDATER_ATTRIBUTES,e.replaceAll("path:"+r,"path:"+n))}for(var[,e]of Object.entries(t.childNodes))applyRecursive(e,r,n)}}function updateContent(e){var t=this[internalSymbol].subject.getRealSubject(),r=clone(e?.path),e=(runUpdateContent.call(this,this[internalSymbol].element,r,t),this[internalSymbol].element.querySelectorAll("slot"));if(0<e.length)for(var[,n]of Object.entries(e))for(var[,i]of Object.entries(n.assignedNodes()))runUpdateContent.call(this,i,r,t)}function runUpdateContent(e,r,n){if(isArray(r)&&e instanceof HTMLElement){r=clone(r);let t=new WeakSet;for(;0<r.length;){var i,a=r.join("."),a=(r.pop(),"["+ATTRIBUTE_UPDATER_REPLACE+'^="path:'+a+'"], ['+ATTRIBUTE_UPDATER_REPLACE+'^="static:"]'),l=e.querySelectorAll(a);const o=new Set([...l]);e.matches(a)&&o.add(e);for([i]of o.entries()){if(t.has(i))return;t.add(i);var s=i.getAttribute(ATTRIBUTE_UPDATER_REPLACE),s=trimSpaces(s);let r=new Pipe(s);this[internalSymbol].callbacks.forEach((e,t)=>{r.setCallback(t,e)});let e;try{i.removeAttribute(ATTRIBUTE_ERRORMESSAGE),e=r.run(n)}catch(e){i.setAttribute(ATTRIBUTE_ERRORMESSAGE,e.message)}if(e instanceof HTMLElement){for(;i.firstChild;)i.removeChild(i.firstChild);try{i.appendChild(e)}catch(e){i.setAttribute(ATTRIBUTE_ERRORMESSAGE,(i.getAttribute(ATTRIBUTE_ERRORMESSAGE)+", "+e.message).trim())}}else i.innerHTML=e}}}}function updateAttributes(e){var t=this[internalSymbol].subject.getRealSubject(),e=clone(e?.path);runUpdateAttributes.call(this,this[internalSymbol].element,e,t)}function runUpdateAttributes(r,n,i){if(isArray(n)){n=clone(n);let t=new WeakSet;for(;0<n.length;){var a=n.join(".");n.pop();let e=new Set;var a="["+ATTRIBUTE_UPDATER_SELECT_THIS+"], ["+ATTRIBUTE_UPDATER_ATTRIBUTES+'*="path:'+a+'"], ['+ATTRIBUTE_UPDATER_ATTRIBUTES+'^="static:"]',l=r.querySelectorAll(a);0<l.length&&(e=new Set([...l])),r.matches(a)&&e.add(r);for(const[T]of e.entries()){if(t.has(T))return;t.add(T);const E=T.getAttribute(ATTRIBUTE_UPDATER_ATTRIBUTES);for(var[,s]of Object.entries(E.split(","))){s=trimSpaces(s);var o=s.indexOf(" "),c=trimSpaces(s.substr(0,o)),s=trimSpaces(s.substr(o));let r=new Pipe(s);this[internalSymbol].callbacks.forEach((e,t)=>{r.setCallback(t,e,T)});let e;try{T.removeAttribute(ATTRIBUTE_ERRORMESSAGE),e=r.run(i)}catch(e){T.setAttribute(ATTRIBUTE_ERRORMESSAGE,e.message)}void 0===e?T.removeAttribute(c):T.getAttribute(c)!==e&&T.setAttribute(c,e),handleInputControlAttributeUpdate.call(this,T,c,e)}}}}}function handleInputControlAttributeUpdate(e,t,r){if(e instanceof HTMLSelectElement)switch(e.type){case"select-multiple":for(var[n,i]of Object.entries(e.options))-1!==r.indexOf(i.value)?i.selected=!0:i.selected=!1;break;case"select-one":for(var[a,l]of Object.entries(e.options))if(l.value===r){e.selectedIndex=a;break}}else if(e instanceof HTMLInputElement)switch(e.type){case"radio":case"checkbox":"checked"===t&&(e.checked=void 0!==r);break;default:"value"===t&&(e.value=void 0===r?"":r)}else e instanceof HTMLTextAreaElement&&"value"===t&&(e.value=void 0===r?"":r)}assignToNamespace("Monster.DOM",Updater);export{Monster,Updater};